/* Reset and base styles  */
* {
    padding: 0;
    margin: 0;
    border: none;
}

*,
*::before,
*::after {
    box-sizing: border-box;
}

/* Links */

a, a:link, a:visited {
    text-decoration: none;
}

a:hover {
    text-decoration: none;
}

/* Common */

aside, nav, footer, header, section, main {
    display: block;
}

h1, h2, h3, h4, h5, h6, p {
    font-size: inherit;
    font-weight: inherit;
}

ul, ul li {
    list-style: none;
}

img {
    vertical-align: top;
}

img, svg {
    max-width: 100%;
    height: auto;
}

address {
    font-style: normal;
}

/* Form */

input, textarea, button, select {
    font-family: inherit;
    font-size: inherit;
    color: inherit;
    background-color: transparent;
}

input::-ms-clear {
    display: none;
}

button, input[type="submit"] {
    display: inline-block;
    box-shadow: none;
    background-color: transparent;
    background: none;
    cursor: pointer;
}

input:focus, input:active,
button:focus, button:active {
    outline: none;
}

button::-moz-focus-inner {
    padding: 0;
    border: 0;
}

label {
    cursor: pointer;
}

legend {
    display: block;
}


@font-face {
    font-family: Manrope;
    src: local("Manrope-Regular"), url(../fonts/Manrope-Regular.woff2) format("woff2"), url(../fonts/Manrope-Regular.woff) format("woff"), url(../fonts/Manrope-Regular.ttf) format("ttf");
    font-weight: 400;
    font-style: normal;
    font-display: swap
}

@font-face {
    font-family: Manrope;
    src: local("Manrope-Light"), url(../fonts/Manrope-Light.woff2) format("woff2"), url(../fonts/Manrope-Light.woff) format("woff"), url(../fonts/Manrope-Light.ttf) format("ttf");
    font-weight: 300;
    font-style: normal;
    font-display: swap
}

main {
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    font-family: Manrope, sans-serif;
}

.wrapper {
    width: 960px;
    display: flex;
    gap: 40px;
    align-items: center;
}

.logo {
    width: 260px;
    height: 74px;
    background: url("../svg/teasernet-q1-logo.svg") no-repeat;
    background-size: contain;
}

.form {
    display: flex;
    gap: 40px;
    align-items: center;
}

.inputs-wrapper {
    display: flex;
    align-items: center;
    width: 460px;
    border-bottom: 1px solid #C6C6C6;
}

.text-input {
    border: none;
    background: none;
    width: 100%;
    height: 70px;
    color: #000;
    font-size: 16px;
    font-weight: 300;
    letter-spacing: -0.64px;
    display: block;
}

.text-input::placeholder {
    color: #575757;
}

.button {
    border: none;
    border-radius: 51px;
    background: #FACE33;
    color: #000;
    width: 160px;
    height: 64px;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 20px;
    font-weight: 400;
    letter-spacing: -0.8px;
    position: relative;
    z-index: 8;
}

.__select {
    position: relative;
    margin: 0 auto;
    font-weight: 300;
    line-height: 35px;
    letter-spacing: -0.64px;
}

.__select[data-state="active"] .__select__title::before {
    transform: translate(-3px, -50%) rotate(-45deg);
}

.__select[data-state="active"] .__select__title::after {
    transform: translate(3px, -50%) rotate(45deg);
}

.__select[data-state="active"] .__select__title {
    background: rgba(240, 240, 240, 0.90);
    border-bottom-left-radius: 0;
    border-bottom-right-radius: 0;
}

.__select[data-state="active"] .__select__content {
    opacity: 1;
    transform: translateY(-16px);
    z-index: 9;
}

.__select[data-state="active"] .__select__label {
    pointer-events: all;
}

.__select__title {
    display: flex;
    align-items: center;
    width: 100%;
    min-width: 147px;
    height: 100%;
    padding: 16px 32px;
    border-radius: 8px;
    cursor: pointer;
    white-space: nowrap;
}

.__select__title::before, .__select__title::after {
    content: "";
    position: absolute;
    top: 50%;
    right: 10px;
    display: block;
    width: 10px;
    height: 1px;
    transition: all 0.3s ease-out;
    background-color: #333;
    transform: translate(-3px, -50%) rotate(45deg);
}

.__select__title::after {
    transform: translate(3px, -50%) rotate(-45deg);
}

.__select__title:hover {
    background: rgba(240, 240, 240, 0.90);
}

.__select__content {
    position: absolute;
    top: 100%;
    display: flex;
    flex-direction: column;
    width: 100%;
    background: rgba(240, 240, 240, 0.90);
    padding-bottom: 18px;
    border-top: none;
    border-bottom-left-radius: 8px;
    border-bottom-right-radius: 8px;
    transition: all 0.3s ease-out;
    opacity: 0;
    z-index: -2;
}

.__select__input {
    display: none;
}

.__select__input:checked + label {
    background-color: #dedede;
}

.__select__label {
    display: flex;
    align-items: center;
    width: 100%;
    padding: 0 32px;
    transition: all 0.2s ease-out;
    cursor: pointer;
    overflow: hidden;
    pointer-events: none;
}

.__select__label + input + .__select__label {
    border-top: 0 solid #c7ccd1;
}

.__select__label:hover {
    background: rgba(191, 191, 191, 0.9);
}

.inputs {
    position: relative;
}

.error,
.message {
    text-align: center;
    border-radius: 8px;
    font-size: 16px;
    padding: 20px;
    position: absolute;
    width: 100%;
    top: calc(100% + 10px);
}

.error {
    color: #d10000;
    background: rgba(250, 78, 78, 0.55);
    display: none;
}

.message {
    color: #25b813;
    background: rgba(135, 244, 121, 0.55);
}

@media (max-width: 1000px) {

    .wrapper {
        width: 760px;
    }


    .inputs-wrapper {
        width: 260px;
    }

    .__select__title {
        min-width: 116px;
        padding: 16px 10px;
    }

    .__select__label {
        padding: 0 10px;
    }
}

@media (max-width: 760px) {

    main {
        width: 100%;
    }

    .wrapper {
        width: auto;
        max-width: 260px;
        gap: 144px;
        flex-direction: column;
    }

    .logo {
        width: 100%;
    }

    .form {
        gap: 25px;
        flex-direction: column;
    }

    .inputs-wrapper {
        width: 100%;
    }

    .button {
        width: 100%;
    }

    .inputs {
        position: static;
    }

    .error,
    .message {
        position: static;
        margin-top: 10px;
    }
}